<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
	  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	  version="2.0">

    <jsp:useBean id="podnik" class="cz.frantovo.nekurak.dto.Podnik" scope="request"/>
    <jsp:useBean id="pridatPodnik" class="cz.frantovo.nekurak.web.PridatPodnik" scope="request"/>

    <h1>Přidání nového podniku</h1>

    <c:choose>
	<c:when test="${param.akcePridat == 'pridej'}">
	    <jsp:setProperty name="podnik" property="*"/>
	    <jsp:setProperty name="pridatPodnik" property="podnik" value="${podnik}"/>
	    <c:if test="${pridatPodnik.pridano}">
		<p>Podnik byl přidán.</p>
	    </c:if>
	</c:when>
	<c:otherwise>
	    <form method="post" action="?akce=pridatPodnik&amp;amp;akcePridat=pridej">
		<fieldset>
		    <label>Název: <input type="text" name="nazev" maxlength="255"/></label><br/>
		    <label>Popis: <input type="text" name="popis" maxlength="255"/></label><br/>
		    <label title="www stránka">URL: <input type="text" name="url" maxlength="255"/></label><br/>
		    <label>Ulice: <input type="text" name="ulice" maxlength="64"/></label><br/>
		    <label title="číslo popisné">č.p.: <input type="text" name="cisloPopisne" maxlength="5"/></label><br/>
		    <label>Město: <input type="text" name="mesto" maxlength="64"/></label><br/>
		    <button value="submit">Přidat podnik</button>
		</fieldset>
	    </form>
	</c:otherwise>
    </c:choose>




</jsp:root>
