<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
	  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	  version="2.0">

    <jsp:useBean id="podnik" class="cz.frantovo.nekurak.dto.Podnik" scope="request"/>
    <jsp:useBean id="pridatPodnik" class="cz.frantovo.nekurak.web.PridatPodnik" scope="request"/>


    <c:choose>
	<c:when test="${param.odhlasit == 'ano'}">
	    <p>Odhlášení proběhlo úspěšně</p>
	</c:when>
	<c:otherwise>
	    <h1>Přihlášení</h1>
	    <p>Zadejte jméno a heslo</p>

	    <c:if test="${param.chyba == 'ano'}">
		<p>Nesprávné jméno nebo heslo, zkuste to prosím znovu.</p>
	    </c:if>

	    <form method="post" action="j_security_check">
		<fieldset>
		    <label>Jméno: <input type="text" name="j_username"/></label><br/>
		    <label>Heslo: <input type="password" name="j_password"/></label><br/>
		    <button value="submit">Přihlásit se</button>
		</fieldset>
	    </form>
	</c:otherwise>
    </c:choose>



</jsp:root>
