<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
	  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
	  version="2.0">

    <jsp:useBean id="uvod" class="cz.frantovo.nekurak.web.Uvod" scope="request"/>

    <p>Naposledy přidané podniky:</p>

    <c:forEach var="p" items="${uvod.podniky}">
	<div class="podnik">
	    <a href="?akce=detail&amp;amp;podnik=${p.id}"><h2><c:out value="${p.nazev}"/></h2></a>
	    <p><c:out value="${p.popis}"/></p>
	    <p>
	    Adresa:<br/>
		<c:out value="${p.ulice}"/>&amp;#160;
		<c:out value="${p.cisloPopisne}"/><br/>
		<c:out value="${p.mesto}"/>
	    </p>
	    <c:if test="${p.url != null}">
		<p><a href="${fn:escapeXml(p.url)}">www stránka</a></p>
	    </c:if>
	</div>
    </c:forEach>

</jsp:root>
